<?php
	
	// Check array size
	PHPCUS_PARAM::CUS_DOES_NOT_SUPPORT_ARRAY();
	
	if
	(
			PHPRC_HTTP_PARAM::REF_ISSET_IN_ARRAY
			(
					[
							'PARAM_PASSCODE'
					], True
			)
	)
	{
		Try
		{
			// Read params
			// ------------------------------------------------------------------
		    $PARAM_PASSCODE = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_PASSCODE');

				
			// Validate if array has same size
			// ------------------------------------------------------------------
			if($PARAM_PASSCODE <> '1Hwcx8MMj_MjR3npKx8pnPPN2vwfHXpC')
			{
			    PHPCUS_PARAM::CUS_JSON_ERROR('Missing parameters');
			}
		
		
			// Prepare PDO Handler
			// ------------------------------------------------------------------
			$DATA_SET = [];
			
			$SAVE_MAP_ARRAY = [];
			$PDO_HANDLE = PHPRC_PDO_MYSQL::REF_CONNECT();
			PHPRC_PDO_MYSQL::REF_TRANSACTION_BEGIN($PDO_HANDLE);
			
		
			// Execute Stored Procedure
			// ------------------------------------------------------------------
			Try
			{
				$SAVE_MAP_ARRAY = PHPCUS_RECORD_EOD_PRODUCT_CUSTOM::CUS_PREPARE_MAPPED_ARRAY_FOR_PREPOP();
				$SAVE_MAP_ARRAY['PARAM_REC_EODPROD_DATE'] = PHPVC_DATETIME::VAR_NOW();
		
				$DATA_SET = PHPCUS_RECORD_EOD_PRODUCT_CUSTOM::CUS_PREPOP_MA
				(
						$SAVE_MAP_ARRAY,
						true,
						$PDO_HANDLE
				);
			}
			Catch(Exception $PDO_ERR)
			{
				PHPRC_PDO_MYSQL::REF_TRANSACTION_ROLLBACK($PDO_HANDLE);
				//PHPRC_UPLOAD::REF_UPLOAD_TRANSACTION_ROLLBACK();
				PHPCUS_PARAM::CUS_JSON_ERROR($PDO_ERR);
			}
			PHPRC_PDO_MYSQL::REF_TRANSACTION_COMMIT($PDO_HANDLE);
			//PHPRC_UPLOAD::REF_UPLOAD_TRANSACTION_COMMIT();
			
			// Return JSON response
			// ------------------------------------------------------------------
			PHPCUS_PARAM::CUS_JSON_SUCCESS($DATA_SET);
			
		}
		Catch(Exception $ERR)
		{
			PHPCUS_PARAM::CUS_JSON_ERROR($ERR);
		}
	}
	else
	{
		PHPCUS_PARAM::CUS_JSON_ERROR('Missing parameters');
	}

?>